'use strict';

export function CallWindow(_store){
    let store = _store;
    return {
        view: function(){
            return m('div', {}, [
                m('div', {}, [
                    m('div', {style: 'font-weight: bold'}, 'Подключение:'),
                    m('div', {},(store.get('_ua')) ? 'Модуль телефонии подключен' : 'Сбой в подключении')
                ]),
                m('div', {}, [
                    m('div', {style: 'font-weight: bold'}, 'Текущий звонок:'),
                    (store.get('_ua') && store.get('Call') && (store.get('Call').isCall)) ?
                        m('div', {}, 'Совершается звонок, в статусе ' + store.get('service_text') + ' ' + store.get('asterisk_time')) : 
                        store.get('_ua') ? m('div', {}, 'Звонок не совершается') : null
                ]),
                m('div', {}, [
                    m('div', {style: 'font-weight: bold'}, 'Последний совершенный звонок:'),
                    m('div', {}, store.get('notification_text'))
                ])
            ])
        }
    }
}
